CMSIS-DSP: arm_gaussian_naive_bayes_instance_f16 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_gaussian_naive_bayes_instance_f16 Struct Reference

Instance structure for Naive Gaussian Bayesian estimator.

## Data Fields

uint32_t | vectorDimension
uint32_t | numberOfClasses
const float16_t * | theta
const float16_t * | sigma
const float16_t * | classPriors
float16_t | epsilon

## Field Documentation

const float16_t* classPriors

Class prior probabilities

float16_t epsilon

Additive value to variances

uint32_t numberOfClasses

Number of different classes

const float16_t* sigma

Variances for the Gaussians

const float16_t* theta

Mean values for the Gaussians

uint32_t vectorDimension

Dimension of vector space